package org.w3c.tools.crypt;

/**
 * An object that can produce a digest for itself implements this interface.
 *
 * @see org.w3c.tools.crypt.Digestable
 * @see org.w3c.tools.crypt.DigestUtil
 */

public interface Digestable {

  /**
   * @return a Digest
   */
  public Digest getDigest() throws DigestException;
}
