package org.w3c.tools.crypt;

/**
 * A cryptographic digest
 *
 * @see org.w3c.tools.crypt.Digestable
 * @see org.w3c.tools.crypt.DigestUtil
 */

public interface Digest {

  public String MD5 = "MD5";
  public String SHA1 = "SHA-1";

  public String getDigestAlgorithm() throws DigestException;
  //  public int getDigestLength();
  public byte[] getDigestBytes() throws DigestException;
}
